#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	glib-networking
Version		:	2.76.1
Release		:	14.4.0.0%{?dist}
Summary		:	Networking support for GLib
Group		:	Application/libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/glib-networking/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	gsettings-desktop-schemas
BuildRequires	:	gnutls
BuildRequires	:	meson
BuildRequires	:	ninja
#-----------------------------------------------------------------------------
%description
This package contains modules that extend the networking support in
GIO. In particular, it contains a libproxy-based GProxyResolver
implementations and a gnutls-based GTlsConnection implementation.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc NEWS README
%{_libdir}/gio/modules/libgio*.so
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build
meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	-Dlibproxy=disabled 				\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
ninja -v -k1 %{_smp_mflags}
popd


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#-----------------------------------------------------------------------------
%changelog
